Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.jayasoft.ivy.resolver
Class ResolvedModuleRevisionProxy

    java.lang.Object
      fr.jayasoft.ivy.resolver.ResolvedModuleRevisionProxy

All Implemented Interfaces:
  ResolvedModuleRevision

public final class ResolvedModuleRevisionProxy
extends java.lang.Object
implements ResolvedModuleRevision

the same ResolvedModuleRevision except that we say that it is another resolver which resolved the dependency, so that it's it that is used for artifact download ==> forward all except getResolver method

Field Summary
`(package private) DependencyResolver` | `_resolver`

Constructor Summary
`ResolvedModuleRevisionProxy(ResolvedModuleRevision mr, DependencyResolver resolver)`

Method Summary
`ModuleDescriptor` | `getDescriptor()`
`ModuleRevisionId` | `getId()`
`java.util.Date` | `getPublicationDate()`
`DependencyResolver` | `getResolver()`
`boolean` | `isDownloaded()`
`boolean` | `isSearched()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _resolver

    DependencyResolver _resolver

Constructor Detail

### ResolvedModuleRevisionProxy

    public ResolvedModuleRevisionProxy(ResolvedModuleRevision mr,
                                       DependencyResolver resolver)

Method Detail

### getResolver

    public DependencyResolver getResolver()

  Specified by:
    `getResolver` in interface `ResolvedModuleRevision`

### getId

    public ModuleRevisionId getId()

  Specified by:
    `getId` in interface `ResolvedModuleRevision`

### getPublicationDate

    public java.util.Date getPublicationDate()

  Specified by:
    `getPublicationDate` in interface `ResolvedModuleRevision`

### getDescriptor

    public ModuleDescriptor getDescriptor()

  Specified by:
    `getDescriptor` in interface `ResolvedModuleRevision`

### isDownloaded

    public boolean isDownloaded()

  Specified by:
    `isDownloaded` in interface `ResolvedModuleRevision`

### isSearched

    public boolean isSearched()

  Specified by:
    `isSearched` in interface `ResolvedModuleRevision`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD